summaryrefslogtreecommitdiff
path: root/deps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh
diff options
context:
space:
mode:
Diffstat (limited to 'deps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh')
-rwxr-xr-xdeps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/deps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh b/deps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh
new file mode 100755
index 0000000000..bf49d45ef0
--- /dev/null
+++ b/deps/gyp/test/mac/type_envvars/test_bundle_shared_library.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Copyright (c) 2012 Google Inc. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -e
+
+test $MACH_O_TYPE = mh_dylib
+test $PRODUCT_TYPE = com.apple.product-type.framework
+test $PRODUCT_NAME = bundle_shared_library
+test $FULL_PRODUCT_NAME = bundle_shared_library.framework
+
+test $EXECUTABLE_NAME = bundle_shared_library
+test $EXECUTABLE_PATH = \
+ "bundle_shared_library.framework/Versions/A/bundle_shared_library"
+test $WRAPPER_NAME = bundle_shared_library.framework
+
+test $DYLIB_INSTALL_NAME_BASE = "/Library/Frameworks"
+test $LD_DYLIB_INSTALL_NAME = \
+ "/Library/Frameworks/bundle_shared_library.framework/Versions/A/bundle_shared_library"
+
+"$(dirname "$0")/test_check_sdkroot.sh"